import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddValueVariableFormula1724926316235
  implements MigrationInterface
{
  name = 'AddValueVariableFormula1724926316235';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "price_formulas" ADD "value_for" character varying NOT NULL DEFAULT 'dpp'`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "price_formulas" DROP COLUMN "value_for"`,
    );
  }
}
